package com.yinet.system.service;

import com.yinet.system.domain.Holiday;

import java.util.List;

/**
 * 节假日Service接口
 *
 * @author yinet
 * @date 2019-11-14
 */
public interface IHolidayService {

    /**
     * 查询节假日列表
     *
     * @param holiday 节假日
     * @return 节假日集合
     */
    public List<Holiday> selectHolidayList(Holiday holiday);
    /**
     * 查询节假日列表
     *
     * @return 节假日集合
     */
    public List<Holiday> selecAllHoliday();
    /**
     * 新增节假日
     *
     * @param holiday 节假日
     * @return 结果
     */
    public int insertHoliday(Holiday holiday);
}
